Welcome Guest, Not a member yet? Register   Sign In
App Starter won't update to beta 4
#1

I'm new with composer, so I'm not sure what I am doing. I installed the app starter with composer some time ago. Now I do a "composer update" and it won't update to beta 4. In composer.lock the version is v4.0.0-beta.3, if I change it for beta.4 it revert back to beta.3.  Huh
CodeIgniter 4 tutorials (EN/FR) - https://includebeer.com
Reply
#2

Also here. :/
Reply
#3

(08-06-2019, 03:04 AM)includebeer Wrote: I'm new with composer, so I'm not sure what I am doing. I installed the app starter with composer some time ago. Now I do a "composer update" and it won't update to beta 4. In composer.lock the version is v4.0.0-beta.3, if I change it for beta.4 it revert back to beta.3.  Huh

Edit your composer.json. 

"codeigniter4/framework": "^[email protected]"

After that, run composer update.
Reply
#4

(08-06-2019, 11:20 AM)titounnes Wrote: Edit your composer.json. 

"codeigniter4/framework": "^[email protected]"

After that, run composer update.

I tried that and it didn't do anything. Will try again, maybe I messed up...
CodeIgniter 4 tutorials (EN/FR) - https://includebeer.com
Reply
#5

Nope...
CodeIgniter 4 tutorials (EN/FR) - https://includebeer.com
Reply
#6

The problem is likely in the config inside the appstarter or on packagist. I am back from vacation on friday and can fix it then.
Reply
#7

(08-06-2019, 09:56 PM)ciadmin Wrote: The problem is likely in the config  inside the appstarter or on packagist. I am back from vacation on friday  and can fix it then.

Ok, thank you James.
CodeIgniter 4 tutorials (EN/FR) - https://includebeer.com
Reply
#8

The codeigniter4/framework metadata on packagist was still stuck on beta.3 ... it did not synch properly.
I have forced the synch, and a "composer update" now should bring you to the current version.

Checking the package synching ... another item for the release checklist for us!
Reply
#9

(08-09-2019, 08:37 AM)ciadmin Wrote: The codeigniter4/framework metadata on packagist was still stuck on beta.3 ... it did not synch properly.
I have forced the synch, and a "composer update" now should bring you to the current version.

Checking the package synching ... another item for the release checklist for us!

Thank you! Just in time for a coding weekend!  Cool
CodeIgniter 4 tutorials (EN/FR) - https://includebeer.com
Reply
#10

It's working, thank you!  Cool

Code:
Updating codeigniter4/framework (v4.0.0-beta.3 => v4.0.0-beta.4): Downloading (100%)
CodeIgniter 4 tutorials (EN/FR) - https://includebeer.com
Reply




Theme © iAndrew 2016 - Forum software by © MyBB